summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Meckafett <thumpadoodle@hotmail.com>2010-05-11 15:00:24 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 15:00:24 +0200
commit62d13772d53a361a6d6c6feef0ca3f4db6ac556a (patch)
treeb088655e0eb09bbdb62c8c741377c944c5c4005a /multimedia
parent1b163a974eb17efb43cf81d39e8d049119219ea7 (diff)
downloadslackbuilds-62d13772d53a361a6d6c6feef0ca3f4db6ac556a.tar.gz
slackbuilds-62d13772d53a361a6d6c6feef0ca3f4db6ac556a.tar.xz
multimedia/audacious: Initial import
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/audacious/README14
-rw-r--r--multimedia/audacious/audacious.SlackBuild71
-rw-r--r--multimedia/audacious/audacious.info8
-rw-r--r--multimedia/audacious/slack-desc12
4 files changed, 105 insertions, 0 deletions
diff --git a/multimedia/audacious/README b/multimedia/audacious/README
new file mode 100644
index 0000000000..2afdf10fa0
--- /dev/null
+++ b/multimedia/audacious/README
@@ -0,0 +1,14 @@
+audacious (A relatively powerful media player)
+
+Audacious is a media player, based on Beep Media Player, which is in
+turn based on the X Multimedia System (XMMS). It is used to play
+audio and other kinds of media files. By default Audacious can play
+MPEG audio, Ogg Vorbis, RIFF wav, most module formats, and a few
+other formats. Audacious can be extended through plugins to play a
+number of other audio and video formats.
+
+Audacious needs the mcs library and the audacious-plugins, which
+are available at SlackBuilds.org
+
+The webpage for Audacious is: http://www.audacious-media-player.org.
+
diff --git a/multimedia/audacious/audacious.SlackBuild b/multimedia/audacious/audacious.SlackBuild
new file mode 100644
index 0000000000..c153ed8747
--- /dev/null
+++ b/multimedia/audacious/audacious.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for audacious-1.3.2
+# Written by Meckafett thumpadoodle@hotmail.com
+
+# Modified by the SlackBuilds.org project.
+set -e
+
+PRGNAM=audacious
+VERSION=1.3.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+# --enable-ipv6 \
+# --enable-chardet \
+# --enable-samplerate \
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Put the manpages in /usr
+mv $PKG/usr/share/man $PKG/usr/
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# Fix the path for the .desktop file
+sed -i 's#Icon=audacious#Icon=/usr/share/pixmaps/audacious.png#' $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS COPYING FAQ.bmp INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/audacious/audacious.info b/multimedia/audacious/audacious.info
new file mode 100644
index 0000000000..a844b14fcd
--- /dev/null
+++ b/multimedia/audacious/audacious.info
@@ -0,0 +1,8 @@
+PRGNAM="audacious"
+VERSION="1.3.2"
+HOMEPAGE="http://audacious-media-player.org/Main_Page"
+DOWNLOAD="http://static.audacious-media-player.org/release/audacious-1.3.2.tgz"
+MD5SUM="b784a30604a2f9d84e9da310069f43f9"
+MAINTAINER="Meckafett"
+EMAIL="thumpadoodle@hotmail.com"
+APPROVED="BP{k}"
diff --git a/multimedia/audacious/slack-desc b/multimedia/audacious/slack-desc
new file mode 100644
index 0000000000..47b8cd05ad
--- /dev/null
+++ b/multimedia/audacious/slack-desc
@@ -0,0 +1,12 @@
+ |-----handy-ruler------------------------------------------------------|
+audacious: audacious (A relatively powerful media player)
+audacious:
+audacious: Audacious is a media player, based on Beep Media Player, which is in
+audacious: turn based on the X Multimedia System (XMMS). It is used to play
+audacious: audio and other kinds of media files. By default Audacious can play
+audacious: MPEG audio, Ogg Vorbis, RIFF wav, most module formats, and a few
+audacious: other formats. Audacious can be extended through plugins to play a
+audacious: number of other audio and video formats.
+audacious:
+audacious: The webpage for Audacious is: http://www.audacious-media-player.org.
+audacious: